## falconpl 0.9.6.9-git20120606

=== debian/changelog ===
falconpl (0.9.6.9-git20120606-2) unstable; urgency=medium

  * debian/patches/02-Fixed-the-value-set-for-CURLOPT_SSL_VERIFYHOST.patch:
    + Added patch to fix possible security issue due to misuse of the libcurl
      API. Patch has been accepted upstream and discussed. (Closes: #696681)

 -- Kartik Mistry <kartik@debian.org>  Wed, 26 Dec 2012 11:12:33 +0530

falconpl (0.9.6.9-git20120606-1) unstable; urgency=low

  [Kartik Mistry]
  * debian/control:
    + Do not suggest non exist libfalcon-engine1-dev for libfalcon-engine1-dbg.
    + Misc fixes to short and long descriptions.
    + Build-Depends: debhelper >= 9
  * debian/rules:
    + Added hardening support via dpkg-buildflags.
  * Set debian/compat to 9.

  [ Vasudev Kamath ]
  * New upstream Git snapshot and created new release git20120606.
  * debian/patches/01_gtk_MessageDialog_Wformat-security.patch:
    + Patch to fix build error caused by hardening support.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 13 Jun 2012 22:58:21 +0530

falconpl (0.9.6.9-git20120427-1) unstable; urgency=low

  [Vasudev Kamath]
  * Initial Release. (Closes: #460591)
  * Upstream Git stable snapshot, after discussing with upstream.
  * Packaging is based on Ubuntu package, Thanks!
  * debian/watch:
    + Now download link uses .tgz so adjusted uscan string.
  * debian/control:
    + Introduced module related binary packages.
  * debian/copyright:
    + Package license is FPL+GPLv2+OpenSSL exception now.

  [Kartik Mistry]
  * debian/control:
    + Fixed Build-Deps and descriptions.
  * debian/copyright:
    + Added missing license for some source files.

 -- Kartik Mistry <kartik@debian.org>  Mon, 30 Apr 2012 13:53:01 +0530
