=== debian/control ===
Source: falconpl
Section: interpreters
Priority: optional
Maintainer: Kartik Mistry <kartik@debian.org>
Uploaders: Vasudev Kamath <kamathvasudev@gmail.com>
Build-Depends: bison (>= 1.8),
               cmake (>= 2.0),
               curl,
               debhelper (>= 9),
               doxygen,
               dpkg-dev (>= 1.16.1.1),
               firebird-dev,
               libcurl4-nss-dev,
               libdbus-1-dev,
               libdmtx-dev,
               libfreetype6-dev,
               libgd2-xpm-dev,
               libglib2.0-0,
               libgtk2.0-dev,
               libhpdf-dev,
               libmysqlclient-dev,
               libpcre3-dev (>= 7.0),
               libpq-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libsqlite3-dev,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.falconpl.org
Vcs-Git: git://git.debian.org/collab-maint/falconpl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/falconpl.git;a=summary

Package: libfalcon-engine1
Architecture: any
Section: libs
Suggests: falconpl (= ${binary:Version})
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Falcon Programming Language engine
 Falcon is a small, fast and powerful embeddable programming language.
 .
 Falcon aims to be the next generation scripting language, providing a wide set
 of programming paradigms, template file processing for web development and
 document based applications, radical internationalization and application
 extension support.
 .
 This is the main engine of the language, including the engine, the Runtime
 Library and the essential modules.

Package: libfalcon-engine1-dbg
Architecture: any
Priority: extra
Section: debug
Suggests: falcon-dev (= ${binary:Version})
Depends: libfalcon-engine1 (= ${binary:Version}), ${misc:Depends}
Description: Falcon P.L. engine - debugging symbols
 Falcon is a small, fast and powerful embeddable programming language.
 .
 Falcon aims to be the next generation scripting language, providing a wide set
 of programming paradigms, template file processing for web development and
 document based applications, radical internationalization and application
 extension support.
 .
 This package contains the debugging symbols for libfalcon-engine1 package.

Package: falconpl
Architecture: any
Depends: libfalcon-engine1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Falcon P.L. - command line tools
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This is the set of command line tools that can be used to run stand-alone
 scripts and applications.

Package: falconpl-dbg
Architecture: any
Priority: extra
Section: debug
Suggests: falconpl-dev (= ${binary:Version})
Depends: falconpl (= ${binary:Version}), ${misc:Depends}
Description: Falcon P.L. - debugging symbols
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This is the set of command line tools that can be used to run stand-alone
 scripts and applications.
 .
 This package contains the debugging symbols for the falconpl package.

Package: falconpl-dev
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Falcon P.L. - development files
 Falcon is a small, fast and powerful embeddable programming language.
 .
 These are the files needed to develop new Falcon modules or to embed the
 Falcon Programming Language in other applications.

Package: falconpl-mongodb
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: MongoDB bindings for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides native MongoDB module for Falcon P.L. which allows
 connection to MongoDB from Falcon P.L

Package: falconpl-curl
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Curl bindings for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides native Curl module for Falcon P.L. which provides
 binding for famous libcurl library.

Package: falconpl-dbi
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Database Abstraction Layer for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides database abstraction layer for Falcon P.L. This is just
 an abstract module, for specific DB search for falconpl-dbi-dbname package.

Package: falconpl-dbi-sqlite3
Architecture: any
Section: devel
Depends: falconpl-dbi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: SQLite3 database abstraction for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides SQLite3 database abstraction layer for Falcon P.L.
 allowing connection to SQLite3 database from Faclon programs.

Package: falconpl-dbi-mysql
Architecture: any
Section: devel
Depends: falconpl-dbi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: MySQL database abstraction layer for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides MySQL database abstraction layer for Falcon P.L.
 allowing connection to MySQL database from Falcon programs.

Package: falconpl-dbi-postgresql
Architecture: any
Section: devel
Depends: falconpl-dbi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL database abstraction layer for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides PostgreSQL database abstraction layer for Falcon P.L.
 allowing connection to PostgreSQL database from Falcon programs.

Package: falconpl-dbi-firebird
Architecture: any
Section: devel
Depends: falconpl-dbi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Firebird SQL database abstraction layer for Falcon P.L
 Falcon is a small, fast and powerful embeddable programming language.
 .
 This package provides Firebird SQL database abstraction layer for Falcon P.L.
 allowing connection to Firebird Server from Falcon programs.

Package: falconpl-dbus
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: DBus client functionality for Falcon scripts
 This module exposes DBus client functionality to Falcon scripts, more function
 allowing creation of DBus servers are under development.
 .
 This module is under development and subject to sudden changes.

Package: falconpl-hpdf
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Falcon module for generating PDF files
 Haru is a free, cross platform, open source C library for generating PDF
 files. This Falcon module is a wrapper on the his C library which allows
 generation of PDF files from Faclon scripts.

Package: falconpl-dmtx
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Falcon module for reading Data Matrix barcodes
 Data Matrix 2D barcodes are two-dimensional symbols that hold a dense pattern
 of data with built-in error correction.
 .
 This module allows Falcon scripts to read or write Data Matrix barcodes.

Package: falconpl-gd2
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Falcon graphic image manipulation module
 This module provides wrapper against LibGD graphics manipulation library.
 Module is prepared by static linking against libGD fully configured with Jpeg,
 TrueType, FontConfig and every other optional package support.

Package: falconpl-gtk
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Falcon GTK+ wrapper module
 GTK+ is a multiplatform toolkit for creating graphical user interface.
 .
 This Falcon module allow one to create GTK+ application using Falcon
 scripting.

Package: falconpl-sdl
Architecture: any
Section: devel
Depends: falconpl (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Falcon SDL wrapper module
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This Falcon module provides SDL bindings for Falcon.
