=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

%:
	dh $@ -S cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DFALCON_INC_DIR=include \
		-DFALCON_SHARE_DIR=share/falconpl \
		-DFALCON_WITH_FEATHERS="feathers"

override_dh_auto_clean:
	rm -rf devel/release devel/settings*
	dh_auto_clean

override_dh_install:
	chmod +x debian/tmp/usr/lib/falcon/apps/faldoc/faldoc.fal
	dh_install -plibfalcon-engine1 --sourcedir=debian/tmp
	dh_install -pfalconpl --sourcedir=debian/tmp
	dh_install -pfalconpl-dev --sourcedir=debian/tmp
	dh_install -pfalconpl-mongodb --sourcedir=debian/tmp
	dh_install -pfalconpl-curl --sourcedir=debian/tmp
	dh_install -pfalconpl-dbi --sourcedir=debian/tmp
	dh_install -pfalconpl-dbi-sqlite3 --sourcedir=debian/tmp
	dh_install -pfalconpl-dbi-mysql --sourcedir=debian/tmp
	dh_install -pfalconpl-dbi-postgresql --sourcedir=debian/tmp
	dh_install -pfalconpl-dbi-firebird --sourcedir=debian/tmp
	dh_install -pfalconpl-dbus --sourcedir=debian/tmp
	dh_install -pfalconpl-hpdf --sourcedir=debian/tmp
	dh_install -pfalconpl-dmtx --sourcedir=debian/tmp
	dh_install -pfalconpl-gd2 --sourcedir=debian/tmp
	dh_install -pfalconpl-gtk --sourcedir=debian/tmp
	dh_install -pfalconpl-sdl --sourcedir=debian/tmp

override_dh_strip:
	dh_strip -plibfalcon-engine1 --dbg-package=libfalcon-engine1-dbg
	dh_strip -pfalconpl --dbg-package=falconpl-dbg
	dh_strip -pfalconpl-dev
	dh_strip -pfalconpl-mongodb
	dh_strip -pfalconpl-curl
	dh_strip -pfalconpl-dbi
	dh_strip -pfalconpl-dbi-sqlite3
	dh_strip -pfalconpl-dbi-mysql
	dh_strip -pfalconpl-dbi-postgresql
	dh_strip -pfalconpl-dbi-firebird
	dh_strip -pfalconpl-dbus
	dh_strip -pfalconpl-hpdf
	dh_strip -pfalconpl-dmtx
	dh_strip -pfalconpl-gd2
	dh_strip -pfalconpl-gtk
	dh_strip -pfalconpl-sdl

override_dh_makeshlibs:
	dh_makeshlibs -plibfalcon-engine1 -V
